unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, StdCtrls, ExtCtrls, TeeProcs, Chart, Spin;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Chart2: TChart;
    Button1: TButton;
    Series1: TLineSeries;
    Series2: TLineSeries;
    SpinEdit1: TSpinEdit;
    procedure Button1Click(Sender: TObject);
    procedure Chart1Scroll(Sender: TObject);
    procedure Chart2Scroll(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Series1.FillSampleValues(SpinEdit1.Value);
  series2.FillSampleValues(SpinEdit1.Value);
  Chart1.BottomAxis.Automatic:= True;
  Chart2.BottomAxis.Automatic:= True;
end;

procedure TForm1.Chart1Scroll(Sender: TObject);
begin
  Chart2.BottomAxis.Automatic := False;
  try
    Chart2.BottomAxis.Minimum := Chart1.BottomAxis.Minimum;
    Chart2.BottomAxis.Maximum := Chart1.BottomAxis.Maximum;
  except
    Chart2.BottomAxis.Maximum := Chart1.BottomAxis.Maximum;
    Chart2.BottomAxis.Minimum := Chart1.BottomAxis.Minimum;
  end;
  Chart2.Repaint;
end;

procedure TForm1.Chart2Scroll(Sender: TObject);
begin
  Chart1.BottomAxis.Automatic := False;
  try
    Chart1.BottomAxis.Minimum := Chart2.BottomAxis.Minimum;
    Chart1.BottomAxis.Maximum := Chart2.BottomAxis.Maximum;
  except
    Chart1.BottomAxis.Maximum := Chart2.BottomAxis.Maximum;
    Chart1.BottomAxis.Minimum := Chart2.BottomAxis.Minimum;
  end;
  Chart1.Repaint;
end;

end.
